AutoCAD .NET :: Create Extruded Solid 3D From Polyline
Feb 11, 2012
I'm trying to create a Solid 3d that is the extrusion solid af a closed polyline by a given height
I select the polyline that i do this
Solid3d s = new Solid3d();
s.CreateExtrudedSolid(selectedPolyline, new Vector3d(0, 0, 20), new SweepOptions());
but Autocad throw an Invalid Input exception.
View 4 Replies
ADVERTISEMENT
Jun 13, 2013
As part of a larger job we have surveyed the top of a dry stone wall. The client now wants that we make a solid for him from the surveyed points with a height of 2000mm (the drawing units are in millimetres).
A 3d polyline was created from the lines joining the points and I have that in the attached drawing.
I'm not looking for someone to create the wall, but I'm looking for the method to do it, as it will certainly crop up again with this new client. I've tried many ways in both AutoCAD and Civil 3D but just can't create the solid.
View 9 Replies
View Related
Sep 5, 2011
I've got a DWG file generated from a software called 12D. It contains a polyline model of an embankment. I've imported it into Max and wanted to create 3D solids out of it so I can further manipulate this model and render.
I'm struggling to convert it into a 3D solid. I have tried the extrude and loft modifiers, but unable to get them to loft or extrude along the poly lines.
So I' thinking I may recreate the whole object from scratch vertex by vertex. How I can create a solid without recreating the whole object?
Attached a part of it for example here: [URL] ......
View 3 Replies
View Related
Jan 28, 2014
using cad2010,
i usually trace a 2d plane with a 2d polyline, and then extrude it (using the extrude command) , the problem is that i cant see in the properties its XYZ position,
is there anyway to see this information and of course to modify it?
View 4 Replies
View Related
Apr 19, 2013
After creating a solid and made some cutting, notching etc. the finished length is not the same as the initial extruded solid. so to get the length of the final solid ,
1. I would project geometry , and get the extreme end to get the finish length,this reference dim is now shown in parameter,
2. Go to parameter and change this ref dim name to "length" ,
3. Check the export box ,
4. Right click this ref dim to change the custom property format
5. Where i would uncheck the "units string" box
All these steps to extract the length of a single part , so just imagine if my assembly consist of 50 parts, i would do this 50 times! and usually i have almost a hundred assembly to work everytime.
Inventor 2011
Vault pro 2012
View 7 Replies
View Related
Feb 18, 2013
Where I can get a sheet metal iFeature to create nail holes or extruded holes?
View 1 Replies
View Related
Jul 19, 2012
I've had a problem for a while now trying to extrude a 3d polyline into a 3d solid. The polyline is on different planes which is one cause of why it won't work. Instead of extruding into a solid it only does the sides making it a mesh rather than a solid. If its on one plane I know it will work.
View 2 Replies
View Related
Dec 10, 2013
I am new Inventor user (2014 version) trying to get up to speed on best practices and the most efficient work flows. I find myself designing individual parts that start off as base AISC shapes (angles, square tubes, rectangular tubes, etc.). These are parts that start off as base extrusions that then have multiple machining operations performed on them. In most cases, the parts are stand along parts that aren't involved in any type of frame.
In these cases, I generally sketch the profile from scratch using my AISC book and then extrude. I'm sure this is silly. Frame generator already has the profile data built in- so why am I sketching these profiles from scratch? But using frame generator in an assembly environment to make a single member part seems silly to me also. Why should there be an assembly file at all? I just want a single part that starts off as some length of some standard profile. Using frame generator in an assembly environment seems like overkill.
What is the best practice for starting off a part with some length of a standard ANSI, ISO, or other profile?
View 5 Replies
View Related
Aug 31, 2012
I have polylines and changed the width to 3/4" and now the Plines are not solid (filled like a hatch) anymore? They are splined as well. I must have changed a setting somewhere and did not know it. AutoCAD 2012.
View 4 Replies
View Related
May 2, 2012
I have discovered a 3D polyline cant be joined to a 2D polyline and when i exploded 3Dpline then flattened it ,as recommended elsewhere on this forum,it seems its shrunk in length.The NC router I have access to has to use 2D polyline for the path of the cutter.wish i could simply fed the 3D object into the NC router software and that was all i had to do.
View 9 Replies
View Related
May 16, 2012
Any routine that would allow you to cut out an odd shape from a solid with the profile of a polyline?The goal would be to have all the pieces that are left, not subtract them out..
View 3 Replies
View Related
Apr 6, 2013
i Have extruded Half the face of a cylinder. I just need to know how to turn the new extruded face into a perfect Hexagon.
View 4 Replies
View Related
Nov 8, 2012
I'm using AutoCAD Mechanical 2010 and received a .DXF file that contains 'solid' objects. Unfortunately the next tool in my workflow doesn't understand 'solids' only polylines (and a few other basic shapes like circles, lines, etc). Is there some way to convert the object in AutoCAD?
I tried the 'boundary' command but when it asks to 'Pick Points' and I click inside the solid, it always gives the error 'Valid hatch boundary not found'.
What am I missing here?
View 1 Replies
View Related
Jun 13, 2011
I'm trying to create (in 3D workspace), a 3D polyline which starts from the "ground" and goes up the Z axis for 45 units (meters for example), then, the polyline continues "up" but in a 45 degree inclination, and then it goes up further but still 45 degrees from the last segment.
I attached a picture of this to the post, the top line is the one I want to create, and the bottom one is what I get.
The thing is that the 3dpoly command doesn't let me set the line on the Z plane, unless I fix it in ortho mode, and even after I do the first segment that way, the next one stays fixed in either the Z plane or the XY plane, but not in the 45 degree between them that I want....
P.S. - when I click the 3d polyline command, there are no options in the command area, just "specify first point...." - is this what should appear?
View 9 Replies
View Related
Jul 17, 2011
I'm currently trying to use the draw > point > measure tool to create a set of points around a polyline but I can't seem to get them to start at a point that I want. When I try and create the points they start from a random place.
View 3 Replies
View Related
Aug 14, 2013
I want to create points from the polyline to identify in the field. For example, I create a square for a concrete pad and I want to identify the corners of the pad.
View 4 Replies
View Related
Nov 5, 2012
i'm looking for polyline lisp. I type PLINE and type Width specify starting width is 0.0 next specify ending width is 90.0 and then i type 200mm for my distance then i choose again the Width to become 0.0 (starting and ending) then choose Arc. How to create lisp polyline?
View 1 Replies
View Related
Apr 16, 2012
Any way to create a polyline linetype that simulates a solid dashed with outer lines (drainage line)?
I could sort of do it with the multiline feature but not what we want. using 2011 civil3D
View 2 Replies
View Related
Jun 21, 2011
if it's possible to create a polyline with invisible segment.
View 4 Replies
View Related
Jan 31, 2014
How to create a minimal DXF file that has polyline. I am using a C# program to create DXF File. Also if i want to hatch a closed polyline what might be the best way.
View 9 Replies
View Related
Mar 13, 2012
I've been going through some examples on [URL] to create polylines and i've managed to make some code run. One thing that I can't seem to find information on though, is how to use the default AutoCAD command line options in my code. For instance, I would like to be able to prompt the user whether they would like to snap the polyline to an insertion point, everytime they create a new verticie.
Below is some example code from the site that i'm working from:
namespace MyPlineApp
{
public class MyPlineCmds
[Code].....
View 6 Replies
View Related
May 16, 2013
How do I go about extruding an open polyline to create a surface? I am able to extrude a solid 3d from a closed polyline ( by creating a region first) but I cant find a way to do the same for surfaces.The autodesk.autocad.databaseservices.Surface class does not have an extrude method unlike the its solid3d equivalent. I am using autocad 2012 .
View 1 Replies
View Related
Aug 23, 2012
I want to create a command:
My selection set consists of dbpoints that exists on my drawing and they are more or less in line
I create a new point3dcollection with this db points
I want to create a 3d polyline based on this point3d collection
My problem is : how to sort this point3d collection based on a picked start point and picked end point?
The only idea I have is:
from start point i calculate the distance to each point3d from collection and based on the results i sort the point3d collection based on distances.
View 2 Replies
View Related
May 3, 2011
I want to create a 3d ployline from a 2d polyline with curves. When I use the convert 2d polyline to 3d polyline command it places a bunch of vertices along the curve so when I go to place elevations on the vertices it takes too long. I want to be able to give an elevation at the pc and pt and have it place elevations along the curve from this info like it does on the stright lines.
View 6 Replies
View Related
Jan 13, 2014
I have been sent a client's construction drawing for a care home where i need to design the sprinkler installation. The majority of the rooms have got the same head positions within them, but they have all got a slightly different angle as the building is shaped like a banana. Unfortunately its not a uniform radius that i can tell as the one side is larger than the other.
So my question is this. Normally, on a square building, I drop in construction lines along the bedrooms so that i know my sprinkler heads are all the same distance off a wall, and I only need to line up one side. However, with this building being a curve, and the wall angle being slightly different on each room, how do I place an angled construction line or polyline to act as my set out line for my heads.
View 9 Replies
View Related
Jan 28, 2012
is there a command (or method) that will create a polyline from selected cogo points instead of manually connected each point from a create line command?
View 2 Replies
View Related
Jun 8, 2013
I want to create jig to insert hallow slab (polyline) everything works fine until I am trying to use an added keyword for rotation then Autocad crashes really bad (no error information). Here is a code, in comment place where program crashes.
Ps: I've already been on through the interface and tried to use text jig but no result in my case
Imports SystemImports Autodesk.AutoCAD.RuntimeImports Autodesk.AutoCAD.ApplicationServicesImports Autodesk.AutoCAD.DatabaseServicesImports Autodesk.AutoCAD.GeometryImports Autodesk.AutoCAD.EditorInputNamespace AutoCAD_VB_plug_in1 Public Class [code]........
View 3 Replies
View Related
Nov 18, 2013
[URL]
You said that there is no need to flatten, but each method I have tried does not produce a polyline with curves.
I tried:
survfig.BaseCurve
survfig.BaseCurve.GetProjectedCurve
survig.BaseCurve.GetOrthoprojectedCurve
If if manually flatten the figure using a dummy suface with the AeccFeatureElevsFromSurf command, the polyline derived from survfig.BaseCurve will then have actual arc segments.
Is there another method or a way to flatten the figure programatically first?
View 8 Replies
View Related
Nov 24, 2013
I want to create new vertex points in feature line and 3dpol.
I have this:
try
{
if (obj.GetType() == typeof(Autodesk.AutoCAD.DatabaseServices.Polyline3d)) {
Polyline3d p3d = (Polyline3d)trans.GetObject(entRes.ObjectId, OpenMode.ForWrite);
[Code]....
In this code line:
oFtrLn.InsertFeaturePoint(punt, AeccLandFeatureLinePointType.aeccLandFeatureLinePointPI);
always catches the same Exception "the value is not within the expected range" .I have translated it because I get "El valor no está dentro del intervalo esperado". Perhaps is this: " Value does not fall within the expected range.".
I have tried it with different point3d values but always catches Exception.
With pol3d I have similar problem.
Autocad Civil 3D 2014 +SP1
Quad Core Intel i7 3770-cpu 3.40Ghz.
ssd samsung 840 pro 512gb+ssd samsung 840 pro 256 gb+1tb hdd
32gb RAM 1600 Mhz.
nVidia Quadro 2000.
Win 7 Pro 64bit
View 4 Replies
View Related
Mar 29, 2013
Using VB.NET, how to create a new polyline out of existing lines and arcs? I am converting existing VBA code into VB.NET, developing in AutoCAD 2010 using VS Professional and I just stumbled into this road block.
Without using programming code, this task can be accomplished via AutoCAD command by typing the PE command, selecting the JOIN option and then selecting any lines or arcs which should be combined to form a polyline.
Using programming code, however, I am quite stumped on this task. I have been able to successfully create the lines and arcs which should form the polyline, and they are all connected as well so they would form a connected polyline; I simply do not know how to proceed from here.
View 6 Replies
View Related
Sep 9, 2013
I would like to create a construction geometry that would behave as the Polyline Bulge. In other worlds I would like to create a Construction Arc that would have a Bulge. Upon examination, I was not able to locate any of the Construction Geometry that has a bulge.
The purpose of this is to determine the Bulge location (direction) of the polyline I am creating.
I would like to stay away from creating a database geometry, if possible.
View 2 Replies
View Related